git: 7ebe83ddb788 - main - stress2: Limit scope of rm(1) wildcard in cleanup.

Peter Holm pho at FreeBSD.org
Mon Jul 5 07:15:38 UTC 2021


The branch main has been updated by pho:

URL: https://cgit.FreeBSD.org/src/commit/?id=7ebe83ddb788568181aa0916b23284cdce639b3c

commit 7ebe83ddb788568181aa0916b23284cdce639b3c
Author:     Peter Holm <pho at FreeBSD.org>
AuthorDate: 2021-07-05 07:14:05 +0000
Commit:     Peter Holm <pho at FreeBSD.org>
CommitDate: 2021-07-05 07:14:05 +0000

    stress2: Limit scope of rm(1) wildcard in cleanup.
    
    Reviewed by:     rgrimes
---
 tools/test/stress2/misc/mmap3.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/tools/test/stress2/misc/mmap3.sh b/tools/test/stress2/misc/mmap3.sh
index 9175b77842f3..8a319377070f 100755
--- a/tools/test/stress2/misc/mmap3.sh
+++ b/tools/test/stress2/misc/mmap3.sh
@@ -42,12 +42,13 @@ while [ `date '+%s'` -lt $((start + 5 * 60)) ]; do
 	./mmap3
 done
 echo "Expect Segmentation faults"
-trap "rm -f /tmp/mmap3.0*" EXIT INT
+trap "ls /tmp/mmap3* | grep -E 'mmap3\.[0-9]{6}\.[0-9]{4}$' | xargs rm -v" \
+    EXIT INT
 start=`date '+%s'`
 while [ `date '+%s'` -lt $((start + 5 * 60)) ]; do
 	./mmap3 random
 done
-rm -f mmap3 mmap3.core /tmp/mmap3.0*
+rm -f mmap3 mmap3.core
 exit
 
 EOF


More information about the dev-commits-src-main mailing list